#!/usr/bin/env python

from OVSFileSP import FileSP

class OVSSPPartition(FileSP):
    @classmethod
    def get_plugin_info(klass):
        return {
            "vendor name": "Oracle",
            "description": "Partition File Based Storage Provider",
            "plugin version": "0.0.1",
        }

    def __init__(self, fs_spec, fs_mntopts=""):
        super(OVSSPPartition, self).__init__(fs_spec, fs_mntopts)

    @property
    def info(self):
        return self.__dict__

    @property
    def fs_type(self):
        return "partition"
